List all Payout Batches
List all payout batches created by your application.
List all payout batches created by your application.
Authorization
api_key In: header
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= value <= 100A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.
uuidA cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.
uuidResponse Body
application/json
curl -X GET "https://example.com/v2/payout-batches"{ "has_more": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "status": "created", "metadata": "string" } ]}Send a Payout
Send a payout to a person when you know their phone number or user id. If the user has a Dots acconut, the funds will delivered according to their saved prefernces. Otherwise, they will be sent a Payout Link to onboard and recieve funds.
Create a Payout Batch
Create a batch of payouts to multiple users. Each payout in the batch is processed independently with its own idempotency key. The batch itself can also have an idempotency key to prevent duplicate batch submissions. All payouts in a batch must have `fund=true`.